Intermittent browser/components/extensions/test/browser/browser_ext_devtools_panel.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

RESOLVED FIXED in Firefox 61

Status

WebExtensions
Untriaged
RESOLVED FIXED
a year ago
a month ago

People

(Reporter: aryx, Assigned: rpl)

Tracking

({intermittent-failure})

unspecified
mozilla61
intermittent-failure
Bug Flags:
in-testsuite -
qe-verify -

Firefox Tracking Flags

(firefox61 fixed)

Details

(Whiteboard: [stockwell fixed:timing])

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=102638253&repo=mozilla-inbound

[task 2017-05-28T06:49:52.794247Z] 06:49:52     INFO - Wait until the Addon Devtools Panel has been loaded - after visibilityswitch toggled
[task 2017-05-28T06:49:52.796407Z] 06:49:52     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | Got the same devtools.inspectedWindow.tabId from devtools panel after visibility toggled - 
[task 2017-05-28T06:49:52.799477Z] 06:49:52     INFO - Addon Devtools Panel hidden - after visibilityswitch toggled
[task 2017-05-28T06:49:52.801552Z] 06:49:52     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | devtools.panel.create callback has been called once - 
[task 2017-05-28T06:49:52.805157Z] 06:49:52     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | panel.onShown listener has been called three times - 
[task 2017-05-28T06:49:52.807322Z] 06:49:52     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | panel.onHidden listener has been called three times - 
[task 2017-05-28T06:49:52.809399Z] 06:49:52     INFO - Buffered messages logged at 06:49:51
[task 2017-05-28T06:49:52.813452Z] 06:49:52     INFO - Leaving test bound test_devtools_page_panels_create
[task 2017-05-28T06:49:52.815489Z] 06:49:52     INFO - Buffered messages finished
[task 2017-05-28T06:49:52.817904Z] 06:49:52     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

Comment 1

a year ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 2

a year ago
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 3

a year ago
14 failures in 720 pushes (0.019 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 9
* autoland: 5

Platform breakdown:
* linux32: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 4

a year ago
2 failures in 822 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 5

a year ago
2 failures in 888 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 6

11 months ago
2 failures in 939 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* autoland: 1

Platform breakdown:
* linux32-stylo: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 7

11 months ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-09-04&endday=2017-09-10&tree=all

Updated

10 months ago
Priority: -- → P5

Comment 8

10 months ago
7 failures in 1032 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* mozilla-inbound: 2
* autoland: 2

Platform breakdown:
* linux32: 4
* linux32-stylo-disabled: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 9

10 months ago
4 failures in 943 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* autoland: 1

Platform breakdown:
* linux32-stylo-disabled: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 10

10 months ago
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 11

10 months ago
24 failures in 824 pushes (0.029 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 10
* mozilla-inbound: 7
* mozilla-central: 5
* try: 1
* mozilla-beta: 1

Platform breakdown:
* linux32-stylo-disabled: 11
* linux32: 10
* linux64-stylo-disabled: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 12

9 months ago
24 failures in 947 pushes (0.025 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 11
* mozilla-inbound: 9
* mozilla-central: 4

Platform breakdown:
* linux32: 14
* linux32-stylo-disabled: 9
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 13

9 months ago
9 failures in 864 pushes (0.01 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 6
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux32-stylo-disabled: 7
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-10-16&endday=2017-10-22&tree=all

Comment 14

9 months ago
5 failures in 912 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux32: 3
* linux64-stylo-disabled: 1
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 15

6 months ago
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2018-01-08&endday=2018-01-14&tree=all

Comment 16

6 months ago
1 failures in 701 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2018-01-22&endday=2018-01-28&tree=all

Comment 17

5 months ago
1 failures in 702 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1368332&startday=2018-02-05&endday=2018-02-11&tree=all

Comment 18

4 months ago
25 failures in 765 pushes (0.033 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 10
* try: 5
* mozilla-inbound: 5
* mozilla-central: 5

Platform breakdown:
* linux32: 20
* windows10-64-ccov: 5

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-02&endday=2018-04-08&tree=trunk
We have 37 failures in the past 7 days.
Platforms: windows10-64-ccov debug, Linux x64 and Linux debug.
Recent log failure: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=173136689&lineNumber=8584

Relevant part of the log: [task 2018-04-11T17:51:49.967Z] 17:51:49     INFO - Buffered messages finished
[task 2018-04-11T17:51:49.969Z] 17:51:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - 
[task 2018-04-11T17:51:49.970Z] 17:51:49     INFO - TEST-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | Assertion count 4 is greater than expected range 0-0 assertions. - 
[task 2018-04-11T17:51:49.976Z] 17:51:49     INFO - GECKO(1049) | MEMORY STAT | vsize 1292MB | residentFast 464MB | heapAllocated 151MB
[task 2018-04-11T17:51:49.977Z] 17:51:49     INFO - TEST-OK | browser/components/extensions/test/browser/browser_ext_devtools_panel.js | took 105199ms
[task 2018-04-11T17:51:49.978Z] 17:51:49     INFO - GECKO(1049) | ++DOCSHELL 0xe2402400 == 1 [pid = 1097] [id = {6c88c913-54cc-4a50-b46c-fff4c13c598f}]
[task 2018-04-11T17:51:49.979Z] 17:51:49     INFO - GECKO(1049) | ++DOMWINDOW == 2 (0xe2455080) [pid = 1097] [serial = 121] [outer = (nil)]
[task 2018-04-11T17:51:49.981Z] 17:51:49     INFO - GECKO(1049) | ++DOMWINDOW == 3 (0xe2404800) [pid = 1097] [serial = 122] [outer = 0xe2455080]
[task 2018-04-11T17:51:49.982Z] 17:51:49     INFO - checking window state

:ddurst can you please take a look here?
Flags: needinfo?(ddurst)
Whiteboard: [stockwell needswork:owner]

Comment 20

3 months ago
28 failures in 159 pushes (0.176 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-central: 11
* autoland: 10
* mozilla-inbound: 6
* try: 1

Platform breakdown:
* linux32: 22
* windows10-64-ccov: 5
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-13&endday=2018-04-13&tree=trunk
Priority: P5 → --
Luca, can you please take a look at this? It's been failing a lot since bug 1394750 landed.
Blocks: 1394750
Flags: needinfo?(lgreco)

Comment 22

3 months ago
19 failures in 48 pushes (0.396 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* mozilla-central: 5
* try: 2

Platform breakdown:
* linux32: 17
* windows10-64-ccov: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-14&endday=2018-04-14&tree=trunk

Comment 23

3 months ago
91 failures in 792 pushes (0.115 failures/push) were associated with this bug in the last 7 days. 

This is the #13 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* mozilla-central: 35
* autoland: 28
* mozilla-inbound: 21
* try: 7

Platform breakdown:
* linux32: 73
* windows10-64-ccov: 16
* linux64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-09&endday=2018-04-15&tree=trunk
Duplicate of this bug: 1453570
add another 15 failures to last week from bug 1453570.  This is on a fast track to be disabled.
(Assignee)

Comment 26

3 months ago
(In reply to Kris Maglione [:kmag] (long backlog; ping on IRC if you're blocked) from comment #21)
> Luca, can you please take a look at this? It's been failing a lot since bug
> 1394750 landed.

Yes absolutely, I'm looking into it. 

I briefly looked into the failures logs and all of them seems to timeout while all the test cases are completed
and the test file is exiting (and most of them are on linux32 debug, and all of them are on debug builds).

In Bug 1394750 I've split one of that test case and added an additional round cycle
of "toolbox close and re-open" as part of verifying the behaviors expected by the devtools page/panel when they
are toggled by the user from the toolbox options panel, and those are likely the reason why this test file is
taking longer to run.

(In the meantime I'm not clearing the needinfo assigned to me yet, until I've attached a patch which fix this high intermittency issue).
Flags: needinfo?(ddurst)
Comment hidden (mozreview-request)

Comment 28

3 months ago
mozreview-review
Comment on attachment 8968254 [details]
Bug 1368332 - Request a longer test timeout for the browser_ext_devtools_panel test file.

https://reviewboard.mozilla.org/r/236936/#review242730
Attachment #8968254 - Flags: review?(aswan) → review+

Comment 29

3 months ago
28 failures in 117 pushes (0.239 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 8
* mozilla-central: 8
* autoland: 8
* try: 4

Platform breakdown:
* linux32: 23
* windows10-64-ccov: 4
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-16&endday=2018-04-16&tree=trunk
(Assignee)

Updated

3 months ago
Assignee: nobody → lgreco
Status: NEW → ASSIGNED
Flags: needinfo?(lgreco)

Comment 30

3 months ago
Pushed by luca.greco@alcacoop.it:
https://hg.mozilla.org/integration/autoland/rev/2f01bf0dc41a
Request a longer test timeout for the browser_ext_devtools_panel test file. r=aswan

Comment 31

3 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/2f01bf0dc41a
Status: ASSIGNED → RESOLVED
Last Resolved: 3 months ago
status-firefox61: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla61

Comment 32

3 months ago
31 failures in 148 pushes (0.209 failures/push) were associated with this bug yesterday.    

** This test has failed more than 150 times in the last 21 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* mozilla-inbound: 14
* mozilla-central: 7
* autoland: 7
* try: 3

Platform breakdown:
* linux32: 27
* windows10-64-ccov: 4

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-17&endday=2018-04-17&tree=trunk
Whiteboard: [stockwell needswork:owner] → [stockwell disable-recommended]
Whiteboard: [stockwell disable-recommended] → [stockwell fixed:timing]

Comment 33

3 months ago
62 failures in 782 pushes (0.079 failures/push) were associated with this bug in the last 7 days. 

This is the #19 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 24
* mozilla-central: 15
* autoland: 13
* try: 10

Platform breakdown:
* linux32: 53
* windows10-64-ccov: 8
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1368332&startday=2018-04-16&endday=2018-04-22&tree=trunk

Updated

3 months ago
Flags: qe-verify-

Updated

3 months ago
Flags: in-testsuite-

Updated

a month ago
Product: Toolkit → WebExtensions
You need to log in before you can comment on or make changes to this bug.